W3C home > Mailing lists > Public > www-amaya@w3.org > October to December 2007

Re: Crash on Fedora 7

From: Leon Stringer <leon.stringer@ntlworld.com>
Date: Wed, 07 Nov 2007 20:29:11 +0000
Message-ID: <47322017.8010203@ntlworld.com>
To: emilien.kia@inrialpes.fr
CC: www-amaya@w3.org

Emilien Kia wrote:
> Le lundi 05 novembre 2007 à 19:22 +0000, Leon Stringer a écrit :
>> Hi,
>>
>> I'm getting a crash with Amaya 9.99-1 on Fedora 7.
>>
>> I run the command:
>>
>>    env XLIB_SKIP_ARGB_VISUALS=1 /usr/share/Amaya/wx/bin/amaya_bin
>>
>> And get:
>>
>> (amaya_bin:3188): Gtk-CRITICAL **: gtk_widget_set_colormap: assertion
>> `!GTK_WIDGET_REALIZED (widget)' failed
>>
>> I have two different Fedora 7 systems and I only get this problem on
>> one of them. However, it does run Amaya 9.55 fine.
>>
>> Is there anything I can do to help troubleshoot this?
>>
 >
 > With recent version of gtk, you must specify the
 > env : XLIB_SKIP_ARGB_VISUALS=1 G_SLICE="always-malloc" .
 >
 > Regards.

Thanks for your reply. I've tried setting the G_SLICE environment 
variable as you suggest but Amaya still fails to run with the same error.
Received on Wednesday, 7 November 2007 20:29:31 UTC

This archive was generated by hypermail 2.3.1 : Tuesday, 1 April 2014 11:01:47 UTC